require "rails/generators"
require "rails/generators/migration"

module FlaggleRock
  module Generators
    class InstallGenerator < Rails::Generators::Base
      include Rails::Generators::Migration
      source_root File.expand_path("templates", __dir__)
      desc "Generates a migration to create the feature flags table"

      def self.next_migration_number(path)
        next_migration_number = current_migration_number(path) + 1
        ActiveRecord::Migration.next_migration_number(next_migration_number)
      end

      def copy_migrations
        migration_template "create_feature_flags.rb", "db/migrate/create_feature_flags.rb"
      end
    end
  end
end
